
      SUBROUTINE R_PR_par_tr_B(N,K,Matr_input,Matr_output)
C
C	########################################################################
C
C	Valerio Cappellini                                         February 2007
C
C     USES :: None
C     COMPATIBILITY :: Fortran 90
C     VERSION :: 1.0.0
C
C     R_PR_par_tr_B.f :: it take as input the 2 INTEGER numbers N and K and a 
C                 (N*K)x(N*K) REAL matrix M and return as output the 
C                 (N*K)x(N*K) REAL matrix "PARTIAL TRANSPOSE ON B of M"
C
C	########################################################################
C
$	debug
	implicit none
       
      INTEGER N,K
	REAL Matr_input(N*K,N*K), Matr_output(K,N,K,N)
	
      Matr_output=RESHAPE(Matr_input,(/K,N,K,N/),(/0.,0./),(/3,2,1,4/))
      
	RETURN
      END